html {
    font-size: 62.5%;
}

body {
    font-size: 16px;
    font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
    line-height: 1.5;
    color: white;
    background-image: linear-gradient(to top, white 0%, #17271D 100% );
    max-height: 100%;
}

h1 {
    font-size: 2rem;
}

p {
    font-size: 1.5rem;
}

.accion__eliminar {
    padding: 0.8rem;
    border-radius: 1rem;
    background-color: #DC3545;
    color: white;
    border: none;

    
}


.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}

.navegacion {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    margin-top: 1rem;
}

.navegacion__links {
    display: none;
}

.display {
    display: none;
    transition: all .25s;
}

.transformacion {
    transition: all .25s;
}

.titulo {
    display: none;
}

.barra {
    width: 5rem;
}

@media (min-width: 762px) {
    .navegacion {
        flex-direction: row;
        justify-content: space-between;
    }

    .navegacion__links a {
        display: block;
    }

    .barra {
        display: none;
    }

    .titulo {
        display: block;
    }
}


.navegacion__logo {
    display: flex;
    gap: 2rem;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 2rem;
}

    .navegacion__logo p {
        font-size: 3.5rem;
        font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
        color: white;
    }

.navegacion__links {
    display: flex;
    flex-direction: column;
}

    .navegacion__links a {
        margin-bottom: 2rem
    }

@media (min-width: 762px) {
    .navegacion__links {
        gap: 2rem;
        flex-direction: row;
        align-items: center;
    }
}

.navegacion__links a {
    color: white;
    text-decoration: none;
    font-size: 2.3rem;
}

    .navegacion__links a:hover {
        border-bottom: 0.1rem #7BDE7B solid;
    }

.navegacion__imagen {
    width: 13rem;
    border-radius: 100%;
}

.presentacion {
    display: flex;
    margin-top: 2rem;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
}

.presentacion__repelente {
    display: none;
}

@media (min-width: 762px) {
    .presentacion {
        gap: 10rem;
        flex-direction: row;
    }

    .presentacion__repelente {
        width: 20rem;
        margin-top: 10rem;
        animation: rebote 1.5s ease-in-out infinite;
        display: block;
    }
}

.lampara {
    width: 50rem;
}



@media (min-width: 762px) {
    .lampara {
        width: 60rem;
        margin-bottom: 0;
    }

    h1 {
        font-size: 3rem;
    }
}

.login {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5rem;
    margin-bottom: 20rem;
    text-align: center;
}

@media (min-width: 768px) {
    .login {
        margin-bottom: 10rem;
    }
}

.login__boton {
    width: 90%;
    padding: 1.5rem;
    cursor: pointer;
    background-color: #0067AC;
    border: none;
    color: white;
}

input {
    width: 90%;
    margin-bottom: 1.5rem;
    padding: 1rem;
    border-radius: 0.5rem;
    border: none;
}

.verDetalles {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 90%;
    padding: 1rem;
    background-color: #4F5B54;
}

@media (min-width: 768px) {
    .verDetalles {
        flex-direction: row;
        gap: 5rem;
        width: 50%;
    }
}

.verDetalles {
    margin-top: 4rem;
}

.conjunto_siguiente {
    justify-content: space-between;
    background-image: linear-gradient(to top, white 80%, #17271D 100% );
}

.conj1 img {
    width: 150px;
    height: 180px;
    margin-top: 15%;
    margin-left: 5%;
}

.conj2 img {
    width: 150px;
    height: 180px;
    margin-top: -11%;
    margin-left: 25%;
    position: absolute;
}

.conj3 img {
    width: 150px;
    height: 180px;
    margin-top: -11.5%;
    margin-left: 50%;
    position: absolute;
}

.conj4 img {
    width: 150px;
    height: 180px;
    margin-left: 80%;
    margin-top: -11.5%;
    position: absolute;
}

.hiervas img {
    width: 100%;
    height: 100px;
    margin-top: 0%;
}


.verDetalles img {
    width: 30rem;
    height: 30rem;
    padding: 1rem;
    border-radius: 1rem;
    background-color: white;
}

.detalles__boton {
    padding: 1rem;
    background-color: #0067AC;
    border-radius: 1rem;
    color: white;
    border: none;
    cursor: pointer;
}

.boton__eliminar {
    background-color: #DC3545;
}

.botones__detalles {
    display: flex;
    gap: 1rem;
    margin-top: 5rem;
}


.productos {
    display: grid;
    margin-top: 4rem;
    grid-template-columns: 1fr;
    column-gap: 1rem;
    row-gap: 1rem;
    width: 90%;
    
    
}
.contenedor.productos {
   
    flex-wrap: wrap;
   
}

.producto {
    
  
   

    padding: 1rem;

    text-align:center;
    background-color: #4F5B54;
    border-radius: 1rem;
}

    .producto :hover {
        opacity: 0.5;
        cursor: pointer;
    }

    .producto img {
        width: 100%;
        
    }
    

@media (min-width: 768px) {
    .productos {
        grid-template-columns: 1fr 1fr 1fr;
        column-gap: 2rem;
        row-gap: 2rem;
    }
}

.footer {
    padding: 1rem;
    background-color: #17271D;
    margin-top: 3rem;
}

.footer__descripcion {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media (min-width: 768px) {
    .footer__descripcion {
        align-items: center;
        justify-content: space-around;
        flex-direction: row;
    }

        .footer__descripcion img {
            width: 2rem;
        }
}

.footer__descripcion img {
    border-radius: 100%;
    width: 13rem;
}

.contenedor__contacto {
    display: grid;
    grid-template-columns: 1fr;
    width: 90%;
    column-gap: 2rem;
    color: black;
    margin-top: 2rem;
}

.informacion {
    margin-top: 2rem;
    color: #F0F2F5;
    font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
}

@media (min-width: 768px) {
    .contenedor__contacto {
        grid-template-columns: 1fr 1fr;
    }
}

.descripion {
    color: white;
    margin-top: 2rem;
    padding: 1rem;
    background-color: #17271D;
    width: 90%;
    border-radius: 1rem;
    line-height: 1.5;
}

.agregar__producto {
    display: flex;
    width: 90%;
    align-items: center;
    justify-content: center;
    margin-bottom: 6rem;
}

.formulario {
    background-color: #17271D;
    padding: 1rem 3rem;
    border-radius: 2rem;
}

.formulario__titulo {
    font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
}

.formulario__titulo {
    font-size: 2rem;
}

.agregar__input--imagen {
    background-color: #0067AC;
    padding: 1.5rem;
}

.boton__agregar-producto {
    display: flex;
    margin-top: 2rem;
    margin-bottom: 1rem;
}

    .boton__agregar-producto button {
        background-color: #0067AC;
        color: white;
        padding: 1rem 3rem;
        border: none;
        width: 100%;
        border-radius: 1rem;
        cursor: pointer;
    }

@media (min-width: 768px) {
    .boton__agregar-producto {
        display: flex;
        margin-top: 2rem;
        justify-content: end;
        align-items: center;
        margin-bottom: 1rem;
    }

        .boton__agregar-producto button {
            width: 30%;
        }
}


@media (min-width: 768px) {
    .descripion {
        width: 60%;
    }
}

/*Conjunto de Imagenes*/
.conjunto__img {
    text-align: center;
    margin-top: 2rem;
}

    .conjunto__img h2 {
        font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
        font-size: 4rem;
    }

.conjunto__img--grid {
    display: flex;
    justify-content: center;
    flex-direction: column;
    row-gap: 2rem;
}

@media (min-width: 768px) {
    .conjunto__img--grid {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        column-gap: 2rem;
    }
}


.conjunto1 {
    background-image: linear-gradient(to top, rgb(175, 169, 169) 5%, #61bb8a 100% );
    padding: 5rem;
    border-radius: 1.5rem;
}

@media (min-width: 768px) {
    .conjunto1 {
        padding: 10rem;
    }
}

.conjunto2 {
    background-image: linear-gradient(to top, rgb(142, 154, 151) 5%, #3B9D37 100% );
    padding: 5rem;
    border-radius: 1.5rem;
}

@media (min-width: 768px) {
    .conjunto2 {
        padding: 9.4rem;
    }
}

.conjunto3 {
    background-image: linear-gradient(to top, rgb(142, 154, 151) 5%, #24663B 100% );
    padding: 5rem;
    border-radius: 1.5rem;
}

@media (min-width: 768px) {
    .conjunto3 {
        padding: 10rem;
    }
}


@keyframes rebote {
    0%, 100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }
}


@keyframes desplazamiento {
    0% {
        transform: translate(0);
    }

    100% {
        transform: translate(100%);
    }
}

.busqueda {
    width: 90%;
}

.formulario__busqueda {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 2rem;
}

.barra_busqueda__boton {
    padding: 1.3rem;
    border-radius: 1rem;
    background-color: #213027;
    color: white;
    border: none;
    margin-bottom: 1rem;
}

    .barra_busqueda__boton:hover {
        background-color: #5A655E;
    }

.barra_busqueda {
    padding: 0.5rem;
}

@media (min-width: 768px) {

    .formulario__busqueda {
        gap: 0;
    }

    .barra_busqueda__boton {
        padding: 1.2rem;
        border-radius: 1rem;
        cursor: pointer;
        background-color: #213027;
        color: white;
        border: none;
        margin-bottom: 0;
    }

    .barra_busqueda {
        max-width: 20%;
        margin-top: 2rem;
        padding: 0.5rem;
        margin-right: 1rem;
        border-radius: 1rem;
    }
}

.conjunto_siguiente {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    margin-top: 5rem;
    border-radius: 2rem;
}

@media (min-width: 768px) {
    .conjunto_siguiente {
        flex-direction: row;
    }
}

.conjunto_siguiente img {
    width: 20rem;
    margin-top: 8rem;
}

.yumi1 {
    width: 500px;
    height: 700px;
}

.hiervas img {
    border-radius: 2rem;
}

.producto img {
    max-height: 42rem;
 
   
    
}

.contenedor__salud {
    max-width: 140rem;
    margin: 0 auto;
    color: black;
    margin-top: 2rem;
}

.salud__titulo {
    font-size: 4rem;
    text-align: center;
    font-weight: bold;
}

.salud__frase {
    font-size: 2.5rem;
    font-weight: bold;
    margin-left: 1rem;
}

.salud__img {
    width: 100%;
    height: 45rem;
}

    .salud__img:hover {
        opacity: 0.9;
    }

.salud__descrip {
    font-size: 2rem;
}

.salud__lista li {
    font-size: 2rem;
}

.salud__Boton {
    background-color: #515151;
    width: 85%;
    padding: 1rem;
    border-radius: 1rem;
    text-decoration: none;
    font-size: 2.5rem;
    margin-bottom: 2rem;
    color: white;
    text-align: center;
}

@media (min-width: 768px) {
    .salud__Boton {
        width: 10rem;
        font-size: 1.5rem;
    }
}

.salud__footer {
    display: flex;
    align-items: center;
    justify-content: left;
    gap: 2rem;
    flex-direction: column;
}

@media (min-width: 768px) {
    .salud__footer {
        flex-direction: row;
    }
}



#carouselExampleInterval {
    max-width: 100%; /* Establecer el ancho máximo al 100% del contenedor principal */
    margin: 0 auto; /* Centrar el carrusel */
}

.carousel-inner {
    max-width: 100%; /* Asegurar que el contenido del carrusel no exceda el ancho del contenedor */
}

.carousel-item img {
    width: 100%; /* Hacer que las imágenes dentro de los elementos del carrusel ocupen el 100% del ancho */
    height: auto; /* Ajustar automáticamente la altura proporcionalmente */
}


#Repe {
    display: flex;
    align-items: center;
}

@media(min-width: 768px) {
    #Repe {
        width: 300px;
        margin-left:115px;
            
    }
}

.sns
{
    width:8rem;
    margin-left:75%;
    margin-top:-65px;
}
.sp {
    width: 28rem;
    margin-left: 18%;
    margin-top: -7%;
}
.imabt img {
   width:80%;
   height:40%;
}

.quienes, .quienes1 {
    font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
    color:white;
}
.quienes
{
    font-size:14px;
    color:white;
}

.contenedorfinal {
    margin: 0 auto;
    max-width: 140rem;
}
.contenedor__salud
{
    margin-top:75px;
}

.final {
    display: flex;
    align-items: center;
    text-align: center;
    margin-top: 2rem;
    justify-content: center;
    flex-direction: column;
    color: white;
    gap: 2rem;
}


@media (min-width: 768px) {
    .final {
        margin-top: 2rem;
        flex-direction: row;
        align-items: flex-start;
        gap: 4rem;
        justify-content: space-between;
        font-size: 1.7rem;
        line-height: 1.5;
    }
}

.logofooter {
    border-radius: 100%;
    width: 15rem;
    height: 14rem;
}

.logofooter--salud {
    width: 15rem;
    height: 14rem;
    border-radius: 1rem;
}

.final a {
    text-decoration: none;
    color: white;
}

    .final a:hover {
        border-bottom: #7BDE7B 0.1rem solid;
    }

.footerFinal {
    background-color: #17271D;
    padding: 2rem;
}

.final__titulo {
    font-weight: bold;
    font-size: 2rem;
}

.finaltitulo {
    font-weight: bold;
    font-size:2rem;
}